Package twisted :: Package coil :: Module app

[show private | hide private]
[frames | no frames]

## Module twisted.coil.app

Coil configuration for twisted.internet.app.Application.

This is used as the root of the config tree.

Classes
`ApplicationConfig` | The root of the application configuration.
`ConnectorCollection` |
`PortCollection` | A collection of Ports; names may only be strings which represent port numbers.
`ServiceCollection` | A collection of Service objects.

Variable Summary
`MetaInterface` | `IConnector`
`MetaInterface` | `IProtocolFactory`

Variable Details

### IConnector

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConnector'>

### IProtocolFactory

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IProtocolFactory'>

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net